Page MenuHomePhabricator

Setup Varnish on Beta (and Production) for cxserver
Closed, ResolvedPublic

Description

As per https://www.mediawiki.org/wiki/Content_translation/Setup#Backend_Services, Varnish will help to make Content Translation fast using caching mechanism. Varnish for cxserver is not yet configure and it would be nice to have for Production. We need to configure Varnish on Beta, so that exercise for Production will be easy.

Details

Related Gerrit Patches:
operations/puppet : productionReuse parsoid varnish for cxserver
operations/dns : masterIntroduce cxserver.eqiad.wikimedia.org

Event Timeline

Arrbee created this task.Nov 28 2014, 9:02 AM
Arrbee assigned this task to KartikMistry.
Arrbee raised the priority of this task from to Low.
Arrbee updated the task description. (Show Details)
Arrbee changed Security from none to None.
Arrbee moved this task from Backlog to Sprint Backlog on the Language-Team board.Nov 28 2014, 9:06 AM
Arrbee raised the priority of this task from Low to High.Nov 28 2014, 9:11 AM
Arrbee lowered the priority of this task from High to Low.
Arrbee moved this task from Sprint Backlog to In Progress on the Language-Team board.
Nemo_bis updated the task description. (Show Details)Nov 28 2014, 9:17 AM
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-79 board.Nov 28 2014, 12:23 PM
Arrbee moved this task from In Progress to Blocked on the LE-Sprint-79 board.Dec 3 2014, 7:14 AM

Alex created deployment-sca-cache01.eqiad.wmflabs instance for CX Varnish setup.

Arrbee edited projects, added LE-Sprint-80; removed LE-Sprint-79.Dec 10 2014, 12:40 PM
Arrbee moved this task from Backlog to Blocked on the LE-Sprint-80 board.
KartikMistry renamed this task from Setup Varnish on Beta for cxserver to Setup Varnish on Beta (and Production) for cxserver.Dec 22 2014, 3:45 PM
KartikMistry reassigned this task from KartikMistry to akosiaris.
KartikMistry added a subscriber: KartikMistry.
akosiaris updated the task description. (Show Details)Dec 22 2014, 5:52 PM

Change 181613 had a related patch set uploaded (by Alexandros Kosiaris):
WIP: Reuse parsoid varnish for cxserver in beta

https://gerrit.wikimedia.org/r/181613

Patch-For-Review

KartikMistry moved this task from Backlog to In Progress on the LE-Sprint-81 board.

What is expected from ops here that the blocked by tag was added?

KartikMistry changed the task status from Open to Stalled.Jan 8 2015, 4:07 AM
KartikMistry moved this task from In Progress to Blocked on the LE-Sprint-81 board.

Change 183888 had a related patch set uploaded (by Alexandros Kosiaris):
Introduce cxserver.eqiad.wikimedia.org

https://gerrit.wikimedia.org/r/183888

Patch-For-Review

Change 183888 merged by Alexandros Kosiaris:
Introduce cxserver.eqiad.wikimedia.org

https://gerrit.wikimedia.org/r/183888

Change 181613 merged by Alexandros Kosiaris:
Reuse parsoid varnish for cxserver

https://gerrit.wikimedia.org/r/181613

akosiaris closed this task as Resolved.Jan 12 2015, 1:14 PM

So, a temporary solution while we discuss and setup the "services" varnish cluster has been implemented via the parsoid varnish cluster. Requests with to the "cxserver.eqiad.wikimedia.org" hostname and with the "cxserver.eqiad.wikimedia.org" Host: HTTP header will be routed to the cxserver backends via the varnish cluster. For now, in the interest of not polluting the parsoid varnish caches, no caching is done at the varnish level. This is mean to change when we move the the dedicated "services" varnish infrastructure

Arrbee raised the priority of this task from Low to Needs Triage.Jan 12 2015, 2:51 PM
Arrbee moved this task from Blocked to Done on the LE-Sprint-81 board.
akosiaris mentioned this in Unknown Object (Diffusion Commit).Jan 14 2015, 4:52 PM